local M = {}

local hornThreshold = 60
local chance = math.random(3)
local state = "idle"

local function updateGFX(dt)

if state == "idle" then
   if sensors.gy2 > hornThreshold then --and chance == 1 then 
   electrics.horn(true)
   state = "honking"   
   end
   
   elseif state == "honking" and electrics.values.horn == 0 then 
   electrics.horn(true)
   end
   
end

local function onInit()
	state = "idle"
    electrics.horn(false)
    chance = math.random(3)
    hornThreshold = 60
end

local function onReset()
	state = "idle"
    electrics.horn(false)
    chance = math.random(3)
end

M.onInit = onInit
M.onReset  = onReset
M.updateGFX = updateGFX

return M